package com.adealink.weparty.module.widget.form.field.voice

import android.content.Context
import android.view.ViewGroup
import androidx.lifecycle.LifecycleOwner
import com.adealink.weparty.module.widget.form.adapter.WidgetDelegate

class VoiceDelegate :
    WidgetDelegate<VoiceWidgetData, VoiceWidgetView>() {
    override fun onCreateView(
        lifecycleOwner: LifecycleOwner,
        context: Context,
        parent: ViewGroup,
        data: VoiceWidgetData
    ): VoiceWidgetView {
        val widget = VoiceWidgetView(context)
        parent.addView(
            widget, ViewGroup.LayoutParams(
                ViewGroup.LayoutParams.MATCH_PARENT,
                ViewGroup.LayoutParams.WRAP_CONTENT
            )
        )
        widget.onViewCreated(lifecycleOwner,data)
        return widget
    }
}